curl --request PUT \
--url https://api.emailr.dev/v1/broadcasts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subject": "<string>",
"from_email": "[email protected]",
"from_name": "<string>",
"reply_to": "[email protected]",
"preview_text": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_at": "2023-11-07T05:31:56Z",
"inbox_id": "123e4567-e89b-12d3-a456-426614174000",
"inbox_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sequence_exit_conditions": {
"exit_if_in_segment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"exit_if_not_in_segment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"tags": [
"newsletter",
"vip"
]
}
'import requests
url = "https://api.emailr.dev/v1/broadcasts/{id}"
payload = {
"name": "<string>",
"subject": "<string>",
"from_email": "[email protected]",
"from_name": "<string>",
"reply_to": "[email protected]",
"preview_text": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_at": "2023-11-07T05:31:56Z",
"inbox_id": "123e4567-e89b-12d3-a456-426614174000",
"inbox_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sequence_exit_conditions": {
"exit_if_in_segment_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"exit_if_not_in_segment_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"tags": ["newsletter", "vip"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
from_email: '[email protected]',
from_name: '<string>',
reply_to: '[email protected]',
preview_text: '<string>',
template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
segment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
topic_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
scheduled_at: '2023-11-07T05:31:56Z',
inbox_id: '123e4567-e89b-12d3-a456-426614174000',
inbox_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sequence_exit_conditions: {
exit_if_in_segment_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
exit_if_not_in_segment_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
},
tags: ['newsletter', 'vip']
})
};
fetch('https://api.emailr.dev/v1/broadcasts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"subject": "<string>",
"from_email": "[email protected]",
"from_name": "<string>",
"reply_to": "<string>",
"preview_text": "<string>",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic_id": "123e4567-e89b-12d3-a456-426614174000",
"inbox_id": "123e4567-e89b-12d3-a456-426614174000",
"inbox_ids": [
"<string>"
],
"sending_speed": "auto",
"status": "draft",
"total_recipients": 123,
"sent_count": 123,
"delivered_count": 123,
"opened_count": 123,
"clicked_count": 123,
"bounced_count": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"tags": [
"newsletter",
"vip"
],
"sequence_mode": "sales",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"sequence_exit_conditions": {}
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}{
"error": "An error occurred",
"code": "VALIDATION_ERROR",
"details": "<unknown>"
}Update broadcast
Update a broadcast that has not been sent yet (draft or scheduled status only)
Authorizations
API key authentication. Use your API key as the bearer token.
Path Parameters
"123e4567-e89b-12d3-a456-426614174000"
Body
11500Optional inbox ID. When provided, the inbox's name, from address, and reply-to address are used as defaults unless explicit values are given. Set to null to remove inbox association. Mutually exclusive with inbox_ids.
"123e4567-e89b-12d3-a456-426614174000"
Optional array of inbox IDs for inbox rotation. Each inbox's sender identity is used for its portion of emails. Set to null or empty to disable rotation. Mutually exclusive with inbox_id.
Controls how fast emails are sent.
auto, warmup, very_slow, slow, normal, instant Configurable exit rules for the sequence dispatcher. Recipients matching any rule are removed from the sequence before the next follow-up.
Show child attributes
Show child attributes
How follow-ups are sent. sales (default) = threaded replies. marketing = fresh standalone emails per step.
sales, marketing Tags for categorization. Lowercase, max 50 chars each, max 20 tags.
["newsletter", "vip"]
Response
Broadcast updated
"123e4567-e89b-12d3-a456-426614174000"
Topic ID for categorizing the broadcast
"123e4567-e89b-12d3-a456-426614174000"
Associated inbox ID for sender identity defaults
"123e4567-e89b-12d3-a456-426614174000"
Inbox IDs used for inbox rotation
Sending speed setting for the broadcast
"auto"
"draft"
Tags for categorization.
["newsletter", "vip"]
Whether follow-ups are sent as threaded replies (sales) or fresh standalone emails (marketing).
sales, marketing "sales"
Configurable exit rules evaluated by the sequence dispatcher before each follow-up. Supported keys: exit_if_in_segment_ids (string[]), exit_if_not_in_segment_ids (string[]).
Show child attributes
Show child attributes